public void DataPoint(ref BCOM.Point3d Point, BCOM.View View)
        {
            points_[pointIndex_++] = app_.Point3dFromXY(Point.X, Point.Y);

            if (pointIndex_ > 2)
            {
                // TODO в модель
                BCOM.Element leader = createLeader();

                leader.ScaleUniform(leader.AsCellElement().Origin,
                                    1 / ElementHelper.getActiveAnnotationScale());

                // ! перед добавлением в модель
                mdlCell_setIsAnnotation((int)leader.MdlElementDescrP(), 1);
                //leader.AsCellElement().ScaleUniform();


                app_.ActiveModelReference.AddElement(leader);

                var propHand = app_.CreatePropertyHandler(leader);
                propHand.GetAccessStrings();
                propHand.SelectByAccessString("AnnotationPurpose");
                if ((bool)propHand.GetValue())
                {
                    propHand.SelectByAccessString("IsAnnotation");
                    propHand.SetValue(true);
                }

                leader.Rewrite();
                app_.ActiveModelReference.PropagateAnnotationScale();

                //var res = mdlCell_setAnnotationScale(leader.MdlElementDescrP(), ElementHelper.getActiveAnnotationScale());

                PenetrLocateCmd.StartCommand();
            }
        }